<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
ExtremeRayCallback
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.xenum.ExtremeRayCallback interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ExtremeRayCallback";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ExtremeRayCallback.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEnumerator.html" title="interface in ch.javasoft.polco.xenum"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/xenum/ExtremeRayCallback.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExtremeRayCallback.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.xenum</FONT>
<BR>
Interface ExtremeRayCallback&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/polco/callback/hdf5/Hdf5Callback.html" title="class in ch.javasoft.polco.callback.hdf5">Hdf5Callback</A>, <A HREF="../../../../ch/javasoft/polco/callback/matlab/MatlabCallback.html" title="class in ch.javasoft.polco.callback.matlab">MatlabCallback</A>, <A HREF="../../../../ch/javasoft/polco/callback/NullCallback.html" title="class in ch.javasoft.polco.callback">NullCallback</A>, <A HREF="../../../../ch/javasoft/polco/callback/TextCallback.html" title="class in ch.javasoft.polco.callback">TextCallback</A>, <A HREF="../../../../ch/javasoft/polco/callback/ZipCallback.html" title="class in ch.javasoft.polco.callback">ZipCallback</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/polco/xenum/ExtremeRayCallback.html#line.56"><B>ExtremeRayCallback&lt;Num extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>,Arr&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/polco/Numeric.html" title="interface in ch.javasoft.polco">Numeric</A>&lt;Num,Arr&gt;</DL>
</PRE>

<P>
The <code>ExtremeRayCallback</code> interface is called to output extreme
 rays resulting from 
 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEnumerator.html#enumerateExtremeRays(ch.javasoft.polco.PolyhedralCone, ch.javasoft.polco.xenum.ExtremeRayCallback, ch.javasoft.math.linalg.LinAlgOperations)"><CODE>extreme ray enumeration</CODE></A>.
 <p>
 Implementations are expected to have a constructor with a single
 <CODE>Element</CODE> argument, containing the xml configuration for this 
 enumerator.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)">initialize</A></B>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Num</A>,<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Arr</A>&gt;&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Initializes the callback process and returns <code>true</code> if 
 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, Arr)"><CODE>outputExtremeRay(..)</CODE></A>
 shall be called with each extreme ray.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, Arr)">outputExtremeRay</A></B>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Num</A>,<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Arr</A>&gt;&nbsp;event,
                                 long&nbsp;index,
                                 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Arr</A>&nbsp;extremeRay)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Output callback, invoked with each individual extreme ray, but only if
 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)"><CODE>initialize(ExtremeRayEvent)</CODE></A> returned <code>true</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#terminate(ch.javasoft.polco.xenum.ExtremeRayEvent)">terminate</A></B>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Num</A>,<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Arr</A>&gt;&nbsp;event)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Called to terminate the callback process, for instance to close file
 handles.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)"><!-- --></A><H3>
initialize</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/polco/xenum/ExtremeRayCallback.html#line.67"><B>initialize</B></A>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Num</A>,<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Arr</A>&gt;&nbsp;event)
                   throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Initializes the callback process and returns <code>true</code> if 
 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, Arr)"><CODE>outputExtremeRay(..)</CODE></A>
 shall be called with each extreme ray. If <code>false</code> is returned, the
 extreme rays are not output, and <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#terminate(ch.javasoft.polco.xenum.ExtremeRayEvent)"><CODE>terminate(ExtremeRayEvent)</CODE></A> is
 called subsequently to complete the callback process.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>event</CODE> - the event
<DT><B>Returns:</B><DD><code>true</code> if extreme rays shall be output individually
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent,long,java.lang.Object)"><!-- --></A><A NAME="outputExtremeRay(ch.javasoft.polco.xenum.ExtremeRayEvent, long, Arr)"><!-- --></A><H3>
outputExtremeRay</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/polco/xenum/ExtremeRayCallback.html#line.77"><B>outputExtremeRay</B></A>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Num</A>,<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Arr</A>&gt;&nbsp;event,
                      long&nbsp;index,
                      <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Arr</A>&nbsp;extremeRay)
                      throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Output callback, invoked with each individual extreme ray, but only if
 <A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html#initialize(ch.javasoft.polco.xenum.ExtremeRayEvent)"><CODE>initialize(ExtremeRayEvent)</CODE></A> returned <code>true</code>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>event</CODE> - the event<DD><CODE>index</CODE> - the zero-based index for the rays, with no particular 
                                ordering<DD><CODE>extremeRay</CODE> - a numeric array representing the ray values
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="terminate(ch.javasoft.polco.xenum.ExtremeRayEvent)"><!-- --></A><H3>
terminate</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/polco/xenum/ExtremeRayCallback.html#line.84"><B>terminate</B></A>(<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEvent.html" title="class in ch.javasoft.polco.xenum">ExtremeRayEvent</A>&lt;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Num</A>,<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayCallback.html" title="type parameter in ExtremeRayCallback">Arr</A>&gt;&nbsp;event)
               throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Called to terminate the callback process, for instance to close file
 handles.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>event</CODE> - the event
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ExtremeRayCallback.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/polco/xenum/ExtremeRayEnumerator.html" title="interface in ch.javasoft.polco.xenum"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/xenum/ExtremeRayCallback.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExtremeRayCallback.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
